class RxInventoryAdapter::FrameLookupController < ApplicationController
  def get_frame_by_id
    render json: RxModule::Communicator::FrameInventory.get_frame_by_id(params.require(:id))
  end

  def get_frames_by_upc
    render json: RxModule::Communicator::FrameInventory.get_frames_by_upc(params.require(:upc).strip)
  end

  def frame_search_options
    render json: RxModule::Communicator::FrameInventory.frame_search_options
  end

  def frame_search_option
    render json: RxModule::Communicator::FrameInventory.frame_search_option(params.require(:id))
  end

  def find_frames
    render json: RxModule::Communicator::FrameInventory.find_frames(params.permit!.to_h.except("controller", "action", "format"))
  end

  def trace
    render json: RxModule::Communicator::Rxuniverse.frame_trace(CGI.unescape(params.require(:id).gsub(/&#46/, '.')))
  end
end
