import * as React from 'react';
import {OrderFieldProps} from "../../../stores/_FieldConstants";
import {observer} from "mobx-react-lite";
import {AsyncModelSelect, useCommunicationLoadOptions} from "@rx-suite/ui";
import {FrameField} from "./FrameField";

export const FrameColorField: React.FunctionComponent<OrderFieldProps> = observer(props => {
    const loadOptions = useCommunicationLoadOptions("rx_inventory", "/api/colors", "name", "name", [{id: "name", desc: false}])

    return <FrameField loadOptions={loadOptions} {...props} />
});