class CreateQuickCodes < ActiveRecord::Migration[6.0]
  def change
    create_table :quick_codes do |t|
      t.belongs_to :style, null: false, foreign_key: true
      t.belongs_to :style_material, null: false, foreign_key: true
      t.belongs_to :style_type, null: false, foreign_key: true

      t.timestamps
    end

    add_index :quick_codes, [:style_id, :style_material_id, :style_type_id], unique: true, name: "quick_codes_index"
  end
end
